package org.wfc.omada.api.organization.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.Objects;

/**
 * Daylight Saving Time config of the site
 */
@ApiModel(description = "Daylight Saving Time config of the site")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:17:18.430+08:00[Asia/Shanghai]")

public class ModifyDstDto   {
  @JsonProperty("enable")
  private Boolean enable;

  @JsonProperty("start")
  private DstTimeOpenApiDto start;

  @JsonProperty("end")
  private DstTimeOpenApiDto end;

  @JsonProperty("offset")
  private Long offset;

  public ModifyDstDto enable(Boolean enable) {
    this.enable = enable;
    return this;
  }

  /**
   * DST config status; If false, other parameters are not required.
   * @return enable
  */
  @ApiModelProperty(value = "DST config status; If false, other parameters are not required.")


  public Boolean getEnable() {
    return enable;
  }

  public void setEnable(Boolean enable) {
    this.enable = enable;
  }

  public ModifyDstDto start(DstTimeOpenApiDto start) {
    this.start = start;
    return this;
  }

  /**
   * Get start
   * @return start
  */
  @ApiModelProperty(value = "")

  @Valid

  public DstTimeOpenApiDto getStart() {
    return start;
  }

  public void setStart(DstTimeOpenApiDto start) {
    this.start = start;
  }

  public ModifyDstDto end(DstTimeOpenApiDto end) {
    this.end = end;
    return this;
  }

  /**
   * Get end
   * @return end
  */
  @ApiModelProperty(value = "")

  @Valid

  public DstTimeOpenApiDto getEnd() {
    return end;
  }

  public void setEnd(DstTimeOpenApiDto end) {
    this.end = end;
  }

  public ModifyDstDto offset(Long offset) {
    this.offset = offset;
    return this;
  }

  /**
   * DST offset config(Unit: ms); It should be a value as follows: [1800000, 3600000, 5400000, 7200000].
   * @return offset
  */
  @ApiModelProperty(value = "DST offset config(Unit: ms); It should be a value as follows: [1800000, 3600000, 5400000, 7200000].")


  public Long getOffset() {
    return offset;
  }

  public void setOffset(Long offset) {
    this.offset = offset;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ModifyDstDto modifyDstDto = (ModifyDstDto) o;
    return Objects.equals(this.enable, modifyDstDto.enable) &&
        Objects.equals(this.start, modifyDstDto.start) &&
        Objects.equals(this.end, modifyDstDto.end) &&
        Objects.equals(this.offset, modifyDstDto.offset);
  }

  @Override
  public int hashCode() {
    return Objects.hash(enable, start, end, offset);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ModifyDstDto {\n");
    
    sb.append("    enable: ").append(toIndentedString(enable)).append("\n");
    sb.append("    start: ").append(toIndentedString(start)).append("\n");
    sb.append("    end: ").append(toIndentedString(end)).append("\n");
    sb.append("    offset: ").append(toIndentedString(offset)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

